Rensei docs

Publish a plugin version.

Publish a plugin version. - Rensei REST API operation reference.

POST
/api/plugins

Authorization

M2M_OAuth2 registry:write
headerAuthorizationBearer <token>

Machine-to-machine OAuth 2.0 client_credentials access token.

Scope: registry:write

Request Body

application/json
  1. body
manifest*

The plugin manifest (PluginManifest).

tarballUrl?string
tarballSha256?string

Response Body

Published.

application/json
  1. response
version*

The published registry_plugin_versions row.

Example Request
curl -X POST 'https://app.rensei.ai/api/plugins' \  -H 'Content-Type: application/json' \  -d '{  "manifest": {    "property1": null,    "property2": null  }}'
Example Response
{  "version": {    "property1": null,    "property2": null  }}